This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 532664 - Review Request: saxon9 - Java XPath, XSLT 2.0 and XQuery implementation
Review Request: saxon9 - Java XPath, XSLT 2.0 and XQuery implementation
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
F13FeatureIDEA
:
: 227115 (view as bug list)
Depends On:
Blocks: 532709
  Show dependency treegraph
 
Reported: 2009-11-03 06:53 EST by Lubomir Rintel
Modified: 2009-11-26 16:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-26 16:13:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-11-03 06:53:42 EST
SPEC: http://v3.sk/~lkundrak/SPECS/saxon8.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/saxon8-8.7-1.fc11.src.rpm
scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1784869

Description:

This package does not contain latest version of Saxon, Version 8
is provided purely for compatibility purposes.

Saxon B is Saxonica's non-schema-aware implementation of the XPath 2.0,
XSLT 2.0, and XQuery 1.0 specifications aligned with the W3C Candidate
Recommendation published on 3 November 2005. It is a complete and
conformant implementation, providing all the mandatory features of
those specifications and nearly all the optional features.
Comment 1 Lubomir Rintel 2009-11-03 06:55:21 EST
RPMLint:

saxon8.noarch: W: no-documentation
saxon8-sql.noarch: W: no-documentation
saxon8-jdom.noarch: W: no-documentation
saxon8-dom.noarch: W: no-documentation
saxon8-xom.noarch: W: no-documentation
saxon8-xpath.noarch: W: no-documentation
saxon8-demo.noarch: W: no-documentation

Separate documentation subpackage is provided.

saxon8.noarch: W: dangling-symlink /usr/share/java/jaxp_transform_impl.jar /etc/alternatives

Not dangling, dependency on alternatives tooling satisfies it.
A common practice.

saxon8-javadoc.noarch: W: dangerous-command-in-%post rm

Is fine.
Comment 2 Lubomir Rintel 2009-11-03 06:58:58 EST
*** Bug 227115 has been marked as a duplicate of this bug. ***
Comment 3 Lubomir Rintel 2009-11-03 07:14:58 EST
Wait a second... probably I'll need saxon9 instead, and it would probably make more sense to package...
Comment 4 Lubomir Rintel 2009-11-03 10:01:41 EST
SPEC: http://v3.sk/~lkundrak/SPECS/saxon9.spec
SRPMS: http://v3.sk/~lkundrak/SRPMS/saxon9-9.2.0.3-1.fc11.src.rpm

Here's 9 version. Not much difference, xmlbeans 2.4 builds against this, but I'm not sure if I can use that yet. Oh, how I love you, stable java apis.

If you intend to start reviewing now, this two different packages shouldn't cause much trouble to you -- the packages are nearly identical. I'll try to clarify this ASAP!
Comment 5 Lubomir Rintel 2009-11-03 10:51:10 EST
*** Bug 532709 has been marked as a duplicate of this bug. ***
Comment 6 Lubomir Rintel 2009-11-03 15:15:44 EST
So, making this a purely saxon9 review.
scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1785185
Comment 7 Alexander Kurtakov 2009-11-20 10:44:44 EST
According to https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Multiple_packages_with_the_same_base_name this should become saxon and current saxon should become saxon6 if still needed. Maybe you should contact saxon maintainer on that.
Comment 8 Lubomir Rintel 2009-11-20 11:44:09 EST
Good point, Alexander. Raised to fedora-devel [1], saxon's packager on Cc.
[1] https://www.redhat.com/archives/fedora-devel-list/2009-November/msg01531.html
Comment 9 Lubomir Rintel 2009-11-26 16:13:47 EST
Saxon 6 is no longer needed. Everything that BRs it was verified to rebuild cleanly; only diveintopython needed Saxon 6 for processing XSLT 1.0 docbook stylesheets. Xalan-J seems to do the job as well.

Closing this.

Note You need to log in before you can comment on or make changes to this bug.